Eclipse Platform Release 3.7

## org.eclipse.ui.actions
Class MoveProjectAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.actions.BaseSelectionListenerAction
                      org.eclipse.ui.actions.SelectionListenerAction
                          org.eclipse.ui.actions.CopyProjectAction
                              org.eclipse.ui.actions.MoveProjectAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

    public class MoveProjectAction

extends CopyProjectAction

The MoveProjectAction is the action designed to move projects specifically as they have different semantics from other resources.

Field Summary
`static String` `ID` The id of this action.

Fields inherited from class org.eclipse.ui.actions.CopyProjectAction
`errorStatus, shell, shellProvider`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`MoveProjectAction(IShellProvider provider)` Creates a new project move action and initializes it.
`MoveProjectAction(Shell shell)` Deprecated. `MoveProjectAction(IShellProvider)`

Method Summary
`protected String` `getErrorsTitle()` Deprecated. As of 3.3, the error handling is performed by the undoable operation which handles the move.
`protected Object[]` `queryDestinationParameters(IProject project)` Query for a new project destination using the parameters in the existing project.
`void` `run()` Implementation of method defined on `IAction`.

Methods inherited from class org.eclipse.ui.actions.CopyProjectAction
`createDescription, getModelProviderIds, getPlugin, setModelProviderIds, updateSelection`

Methods inherited from class org.eclipse.ui.actions.SelectionListenerAction
`clearCache, getSelectedNonResources, getSelectedResources, resourceIsType, selectionIsOfType`

Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction
`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### ID

    public static final String ID

  The id of this action.

  See Also:
    Constant Field Values

Constructor Detail

### MoveProjectAction

    public MoveProjectAction(Shell shell)

  Deprecated. `MoveProjectAction(IShellProvider)`

  Creates a new project move action and initializes it.

  Parameters:
    `shell` - the shell for any dialogs

### MoveProjectAction

    public MoveProjectAction(IShellProvider provider)

  Creates a new project move action and initializes it.

  Parameters:
    `provider` - the IShellProvider for any dialogs
  Since:
    3.4

Method Detail

### getErrorsTitle

    protected String getErrorsTitle()

  Deprecated. As of 3.3, the error handling is performed by the undoable operation which handles the move.

  Return the title of the errors dialog.

  Overrides:
    `getErrorsTitle` in class `CopyProjectAction`
  Returns:
    java.lang.String

### queryDestinationParameters

    protected Object[] queryDestinationParameters(IProject project)

  Query for a new project destination using the parameters in the existing project.

  Overrides:
    `queryDestinationParameters` in class `CopyProjectAction`
  Parameters:
    `project` - the project we are going to move.
  Returns:
    Object[] or null if the selection is cancelled

### run

    public void run()

  Implementation of method defined on `IAction`.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `CopyProjectAction`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.